package com.zilber.boot.activiti.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@ApiModel("流程部署提交")
public class DeploymentDTO {

    @NotBlank(message = "名称不能为空")
    @ApiModelProperty(value = "名称", required = true)
    private String name;

    @NotBlank(message = "bpmn文件xml不能为空")
    @ApiModelProperty(value = "bpmn文件xml", required = true)
    private String xml;

}
