package com.zilber.boot.activiti.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("流程定义")
public class DefinitionVO {

    @ApiModelProperty("流程定义ID")
    private String id;

    @ApiModelProperty("流程定义名称")
    private String name;

    @ApiModelProperty("流程定义描述")
    private String description;

    @ApiModelProperty("流程定义Key")
    private String key;

    @ApiModelProperty("流程定义资源名称")
    private String resourceName;

    @ApiModelProperty("流程部署ID")
    private String deploymentId;

    @ApiModelProperty("版本号")
    private Integer version;

}
